Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns paginated list of all albums.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/albums \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/albums', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/albums" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "id": 300, "name": "Nevermind", "artist": { "id": 189, "name": "Nirvana" }, "playcount": 333, "url": "https://www.last.fm/music/Nirvana/Nevermind", "apple_music_url": null, "image": null }, { "id": 20, "name": "GUTS", "artist": { "id": 37, "name": "Olivia Rodrigo" }, "playcount": 32, "url": "https://www.last.fm/music/Olivia+Rodrigo/GUTS", "apple_music_url": null, "image": null } ], "pagination": { "page": 1, "limit": 20, "total": 11168, "total_pages": 559 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 1
1
1 <= x <= 100
20
playcount
name
recent
"playcount"
asc
desc
"desc"
"Radiohead"
"OK Computer"
Album list
Show child attributes